AbstractResultSetProxyHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class AbstractResultSetProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.AbstractResultSetProxyHandler

All Implemented Interfaces:
  InvocationHandler

Direct Known Subclasses:
  ImplicitResultSetProxyHandler, ResultSetProxyHandler

    public abstract class AbstractResultSetProxyHandler

extends AbstractProxyHandler

Basic support for building `ResultSet`-based proxy handlers

Constructor Summary
`AbstractResultSetProxyHandler(ResultSet resultSet)`

Method Summary
`protected Object` | `continueInvocation(Object proxy, Method method, Object[] args)`
`protected abstract Statement` | `getExposableStatement()`
`protected abstract JdbcServices` | `getJdbcServices()`
`protected abstract JdbcResourceRegistry` | `getResourceRegistry()`
`protected ResultSet` | `getResultSet()`
`protected ResultSet` | `getResultSetWithoutChecks()`
`protected void` | `invalidateHandle()`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractResultSetProxyHandler

    public AbstractResultSetProxyHandler(ResultSet resultSet)

Method Detail

### getJdbcServices

    protected abstract JdbcServices getJdbcServices()

### getResourceRegistry

    protected abstract JdbcResourceRegistry getResourceRegistry()

### getExposableStatement

    protected abstract Statement getExposableStatement()

### getResultSet

    protected final ResultSet getResultSet()

### getResultSetWithoutChecks

    protected final ResultSet getResultSetWithoutChecks()

### continueInvocation

    protected Object continueInvocation(Object proxy,
                                        Method method,
                                        Object[] args)
                                 throws Throwable

  Specified by:
    `continueInvocation` in class `AbstractProxyHandler`
  Throws:
    `Throwable`

### invalidateHandle

    protected void invalidateHandle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.